package de.effigenix.shared.common;

import java.util.List;
import java.util.Optional;

public interface CountryRepository {
    List<Country> findAll();
    List<Country> search(String query);
    Optional<Country> findByCode(String code);
}
